Subject: .AppleDouble madness

From: Lorenzo Perone <[email-masked]>
Date: Thu, 20 Sep 2001 21:45:34 +0200

Hi all,

I was wondering if anybody got the option "noadouble"  to work without -43 errors on any version of netatalk. 
Especially in mp3 directories or webpages shares those .AppleDouble folders are really nasty and error prone (since only netatalk is going to move both files).

One (complete) workaround I found was with OSX and WebDAV: it does work also when  .* paths are denied (so no .DS_Store or other duplicates). And the files are written and read without problems (though very slowly) .
But this poses other rights-related problems (apache user instead of "real" user) which are partly incompatible with our environment.

Help... does anybody have a working anti-resourcefork solution with netatalk...? 

If there is a way to make the noadouble option work, what exactly is meant by 'do not create .AppleDouble when not needed'? When an application sets the type and creator, for example... is this a case where it's considered to be needed?

I am currently using netatalk1.4b2+asun2.1.4_pre_37 on the SuSE 6.4 system mostly affected by this issue

Thanx for Your time and help,

:-)

Lorenzo

----------
if  the spirit ruling in these tech mailing lists 
ruled in other areas of human life...
the world would be a better place.
----------